OpenTTD Source: SoundDriver_Allegro Class Reference

OpenTTD Source 15.3

Public Member Functions
SoundDriver_Allegro Class Reference

Implementation of the allegro sound driver. More...

`#include <allegro_s.h>`

Inheritance diagram for SoundDriver_Allegro:

## Public Member Functions
std::optional< std::string_view > | Start (const StringList &param) override
| Start this driver.
void | Stop () override
| Stop this driver.
void | MainLoop () override
| Called once every tick.
std::string_view | GetName () const override
| Get the name of this driver.
Public Member Functions inherited from SoundDriver
virtual bool | HasOutput () const
| Whether the driver has an output from which the user can hear sound.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type : uint8_t { DT_BEGIN = 0 , DT_MUSIC = 0 , DT_SOUND , DT_VIDEO , DT_END }
| The type of driver. More...
Static Public Member Functions inherited from SoundDriver
static SoundDriver * | GetInstance ()
| Get the currently active instance of the sound driver.

## Detailed Description

Implementation of the allegro sound driver.

Definition at line 16 of file allegro_s.h.

## Member Function Documentation

## ◆ GetName()

std::string_view SoundDriver_Allegro::GetName | ( |  | ) | const
| inlineoverridevirtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 23 of file allegro_s.h.

## ◆ MainLoop()

void SoundDriver_Allegro::MainLoop | ( |  | ) |
| overridevirtual

Called once every tick.

Reimplemented from SoundDriver.

## ◆ Start()

std::optional< std::string_view > SoundDriver_Allegro::Start | ( | const StringList & | parm | ) |
| overridevirtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  std::nullopt if everything went okay, otherwise an error message.

Implements Driver.

## ◆ Stop()

void SoundDriver_Allegro::Stop | ( |  | ) |
| overridevirtual

Stop this driver.

Implements Driver.

The documentation for this class was generated from the following file:

- src/sound/allegro_s.h